#!/bin/sh

inetd_conf_loc=/etc/inetd.conf
inetd_conf_svg=/etc/inetd.conf.before.ktalkd
tmpfile=/tmp/inetd.conf.tmp

PATH=$PATH:/opt/kde/bin:/usr/local/kde/bin:/usr/local/bin
PATH=$PATH:/opt/kde/sbin:/usr/local/kde/sbin:/usr/local/sbin

if [ ! -z "$KDEDIR" ]; then
    ktalkd_loc=$KDEDIR/bin/ktalkd
else
    ktalkd_loc=$(cd / && type -path ktalkd)
fi

if [ ! -z "$ktalkd_loc" ]; then
    cp $inetd_conf_loc $inetd_conf_svg && \
    grep -v ^ntalk $inetd_conf_loc | grep -v ktalkd >$tmpfile && \
    cat >>$tmpfile <<EOF
# ktalkd
ntalk	dgram	udp	wait	root	/usr/sbin/tcpd	$ktalkd_loc
EOF
>>$tmpfile
    mv $tmpfile $inetd_conf_loc
else
    echo "I can't find ktalkd. Please add its location to the PATH in this script."
fi
